1. AC Question's Avatar
    I bought a zunammy activity tracker watch that said it would work with android compatible phone 4.3 and higher. My phone say it is 5.1 what do I do to fix this?
    10-14-2015 05:32 PM
  2. B. Diddy's Avatar
    Welcome to Android Central! Apps aren't always compatible with every single device. It may be an issue with the device's processor, screen resolution, or firmware. You can try contacting the developer, and see if they can direct you to the app's apk installer file, which you can install manually. But since it was listed as incompatible, there's no guarantee that it will work properly if you manually install it.
    10-14-2015 06:23 PM
  3. Louis Dalziel's Avatar
    You need to go on their website to download the app because it doesn't work on the play store
    03-22-2016 12:10 PM

Similar Threads

  1. Replies: 1
    Last Post: 05-02-2016, 07:27 PM
  2. My Android one does not take marshmallow update
    By Vikram in forum Ask a Question
    Replies: 2
    Last Post: 10-16-2015, 05:44 PM
  3. Wifi only tablet can I root it for free wifi?
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 10-14-2015, 06:28 PM
  4. Replies: 1
    Last Post: 10-14-2015, 06:25 PM
  5. Is there still hope for my device?
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 10-14-2015, 05:24 PM
LINK TO POST COPIED TO CLIPBOARD